Missing AUR Packages: ipw2100-fw ipw2200-fw

extend it to the length of the earth then.

The wet dream of all intelligence agencies …

A Google search helped me identify them. So, being all AMD these days, I went ahead and removed them.

how can I check if I have the device or not on my machine?

The only driver that is currently enabled that requires wireless extension support is the Intel Pro Wireless 2100/2200 drivers, this hardware was released in 2003-2005 as part of the original Centrino laptop platforms and all officially supported devices were 32 bit so it’s unlikely there’s any current users but as they were mPCI cards it’s possible there’s a few users that put them into 64 bit machines.

I doubt that you have this hardware.

5 Likes

The online installer fail to install since calamares is trying to install the two removed packages.

1 Like

Just to be sure I won’t mess it up, mine is:

Network:
  Device-1: Broadcom BCM4313 802.11bgn Wireless Network Adapter driver: wl
    v: kernel bus-ID: 02:00.0
  IF: wlan0 state: up mac: <filter>
  Device-2: Qualcomm Atheros AR8162 Fast Ethernet vendor: Lenovo
    driver: alx v: kernel port: 2000 bus-ID: 03:00.0
  IF: enp3s0 state: down mac: <filter>

Is it OK to

sudo pacman -R ipw2100-fw ipw2200-fw

With something like WiFi I have to be very careful.

[joe@linux-t60 ~]$ inxi -Na
Network:
  Device-2: Intel PRO/Wireless 3945ABG [Golan] Network
    driver: iwl3945 v: in-tree:ds pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 bus-ID: 03:00.0 chip-ID: 8086:4227 class-ID: 0280

ThinkPad t60 from 2006 … originally 32bit CPU and even newer and nicely working Intel PRO/Wireless :wink:

i would say if you have such device your inxi -Na output would show something like this:

Network:
  Device-2: Intel PRO/Wireless 2200BG [Calexico2] Network Connection
    driver: ipw2200 v: in-tree:ds pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 bus-ID: 03:00.0 chip-ID: 8086:4220 class-ID:12f6
Network:
  Device-2: Intel PRO/Wireless LAN 2100 3B Mini PCI Adapterr
    driver: ipw2100 v: in-tree:ds pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 bus-ID: 03:00.0 chip-ID: 8086:1043 class-ID: 2522

the interesting part is the driver if it is not ipw2100 or ipw2200 you will be fine.

2 Likes

I know it is not what @dalto mentioned… but I am just scared!
I can’t even imagine not having WiFi, especially as I understand a fresh online install won’t find the drivers.
That’s why I need confirmation… please.

OK.
I will just uninstall. Mine is Broadcom.
Sorry for asking silly questions but I am sure you understand how scary it is to be without WiFi.

UPDATE: Done and rebooted, still alive!

2 Likes

I had those drivers installed, but I don’t have any Intel Pro wireless chipset.

Network:
  Device-1: Realtek RTL8821AE 802.11ac PCIe Wireless Network Adapter
    vendor: AzureWave driver: rtl8821ae v: kernel pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 port: d000 bus-ID: 03:00.0 chip-ID: 10ec:8821 class-ID: 0280
  Device-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
    vendor: ASUSTeK driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 port: c000 bus-ID: 04:00.0 chip-ID: 10ec:8168 class-ID: 0200

I didn’t understand Calamares shows those drivers in the network packages even if they aren’t necessary; I thought they were necessary for the hardware I have.

I simply removed the drivers with yay -R ipw2100-fw ipw2200-fw.

4 Likes

you know we do not know such questions, and because you already ask i was able to clarify and the next million of users will not need to ask :wink:

3 Likes

This is why I love the EndeavourOs community. But it is me, I’m just honest with myself. I know the answer because it is clear and simple, but it was just scary! This is why I call it a silly question I asked.

I really appreciate your so decent reply Doktor @joekamprad as I appreciate every thing here.
Thank you very much for your patience and understanding.

we send hotfix already:

Only if GitHub and/or GitLab are blocked at your place you will not be able to get it applied.

But you could run the sed commands manually or untag the two packages in Calamares:
2022-09-23_13-31

7 Likes

Hello there!
First post here, so I’m running in the same where yay can’t update, or install packages, I removed the firmware’s, but now, I get that grub-tools is missing.
Remove it you might say, but I’m scared that I might break GRUB, that’s why I ask to confirm.

It won’t break Grub if you remove it.

You could keep it if you wish and add it to be ignored in pacman.conf in order to get rid of the error message.

If you opt for removing, you would need to remember regenerating your grub.cfg if/when you install a new, additional kernel for them to be added to Grub’s boot menu.

Hmmm…
I still get the exit code 128, which, translated means; branch name invalid

image

Note: The error is not due to fetchcord, other packages don’t work too.

I would suggest to open a new thread to get proper attention to your issue.

This topic as its title suggest is related to another problem.

2 Likes

Thanks for the tip about pacman.conf. I’ve just uncommented the line IgnorePkg and added the following packages that like the ipw200, etc packages kept appearing on a pacman update:

grub-tools, libgweather, libvterm01

With no updates of these packages it doesn’t seem to affect my system.

1 Like